
Figure - Bug #118402
【IOVDEV-31925】【内部】【VC1】【0072】【台架】【EE环境】【副屏】王者荣耀应用卡死黑屏
2023-05-31 20:39 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-31

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 副屏：01.00.0100.C103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-05-31 17:23

【开机次数】：第223次

【前提条件】：

1.副屏上电

2.游戏模式开关开启

【问题操作步骤】：

1.打开王者荣耀

2.短暂挂起画面不点击-多次点击游戏内按钮

【实际结果】：游戏点击无响应后画面黑屏，点击后游戏无响应

【期望结果】：展示游戏画面，不会黑屏

【备注】：短暂挂起后点击游戏内按钮无响应，30s左右游戏黑屏

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/fP5GIi3%2FR6A%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/XBV%2Bfs5%2FoL0%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/uYEZsF89aCI%3D

【影响版本】：副屏：01.00.0100.C103

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-31 20:41 - CDTS_Test 吴诗雨

5.31.17：23王者荣耀应用卡死黑屏223次

历史日志：tlog_iov0201017500006162025411a2212290000000911_000223_0531173655.tar.gz

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118402

#2 - 2023-06-02 14:10 - CD FW 曹覃刚

- Status changed from New to ASSIGNED
■ 我的分析

-------------------

05-31 17:18:05.358 23617 16878 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.tencent.tmgp.sgame/.SGameActivity bnds=[1026,96][1326,394]} from uid 10078

//打开王者荣耀

05-31 17:18:20.314 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=229.0, y0=349.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=73609832, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=96590269 }

05-31 17:18:20.341 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=232.4438, y0=366.9971, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73609855, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=696234032 }

05-31 17:18:20.358 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=234.88083, y0=387.56998, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=73609871, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=1041384492 }

05-31 17:18:20.375 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=411.06174, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73609888, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=12206914 }

05-31 17:18:20.392 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=437.6375, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73609905, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=365580217 }

05-31 17:18:20.409 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=462.4456, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=73609922, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=538793133 }

05-31 17:18:20.425 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=483.57843, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73609938, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=570247648 }

05-31 17:18:20.442 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=502.43643, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73609955, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=820688284 }

05-31 17:18:20.459 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=517.8665, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=73609972, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=801120419 }

05-31 17:18:20.475 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=531.2336, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73609988, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=120321456 }

05-31 17:18:20.492 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=540.94476, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73610005, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=213279756 }

05-31 17:18:20.509 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=551.0634, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=73610022, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=691958729 }

05-31 17:18:20.526 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=559.4856, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=2, eventTime=73610039, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=938524249 }

05-31 17:18:20.542 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id0=0, x0=236.0, y0=564.5, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=1, eventTime=73610049, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=958169360 }

05-31 17:18:20.562 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=236.0, y0=562.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=73610080, downTime=73609795, deviceId=4, source=0x5002, displayId=0, eventId=798470439 }

05-31 17:18:20.710 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,
actionButton=0, id0=0, x0=268.0, y0=395.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=73610228, downTime=73610228, deviceId=4, source=0x5002, displayId=0, eventId=133788150 }

05-31 17:18:20.804 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=268.0, y0=395.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=73610322, downTime=73610228, deviceId=4, source=0x5002, displayId=0, eventId=430543428 }

05-31 17:18:22.890 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id0=0, x0=318.0, y0=186.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=73612408, downTime=73612408, deviceId=4, source=0x5002, displayId=0, eventId=818774519 }

05-31 17:18:23.070 22632 22632 D ViewTouchDebug: mView : DecorView@9dc535[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=318.0, y0=186.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x1, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=73612588, downTime=73612408, deviceId=4, source=0x5002, displayId=0, eventId=436048488 }

//王者荣耀画面多次收到触摸点击事件

05-31 17:19:07.170 22632 23069 E Unity   : WebRequest timed out. (Filename:  Line: 388)

05-31 17:19:07.230 22632 23074 E Unity   : WebRequest timed out. (Filename:  Line: 388

05-31 17:19:07.585 22632 23068 E Unity   : WebRequest timed out. (Filename:  Line: 388)

05-31 17:19:08.248 22632 22761 D IL2CPP  : Dump callstack since exception.

05-31 17:19:08.251 22632 22761 D IL2CPP  : WalkStack, base address = 0x72ce621000.

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a2f9cc

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a62a14

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a420fc

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a42240

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a42210

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 79888b4

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.COBSystem:OnGetAceReplayList

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 70e2088

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

.<RequstCoroutine>c__Iterator0:MoveNext

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 4ad3f1c

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

UnityEngine.SetupCoroutine:InvokeMoveNext

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 58d4fd4

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

System.Array:InternalArray__ICollection_Add

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a60dd0

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 542f8c

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 54fd60

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 
Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 554f60

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 554b48

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 524794

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 271e44

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 39e8a8

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 649dc0

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 64d448

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libunity.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:09.067 22632 23076 E Unity   : WebRequest timed out. (Filename:  Line: 388)

05-31 17:20:37.847 22632 23070 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.847 22632 23070 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.850 22632 23085 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.851 22632 23085 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.867 22632 23076 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.867 22632 23076 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.875 22632 23092 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.875 22632 23092 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.883 22632 23100 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.883 22632 23100 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.883 22632 23076 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

05-31 17:20:37.883 22632 23076 E Unity   : java.net.UnknownHostException: Unable to resolve host "wx.qlogo.cn": No address associated with hostname (Filename:  Line:

388)

//出现资源加载异常的问题

-------------------

这是我找到的一个导致游戏画面黑屏的原因:

游戏画面黑屏可能是由于游戏在加载资源时出现了问题，例如缺失或损坏的纹理、模型或其他游戏素材。可以尝试重新安装游戏或者清除游戏缓存来解

决该问题。
应该是这个因素导致，但无法完全确定

■ 下一步计划

请LC的同事帮忙检查一下，上述日志中web请求的异常, 是游戏本身问题，还是当前网络出现了问题引起

谢谢

#3 - 2023-06-02 15:49 - CD FW 曹覃刚

- Category changed from CD-FW to LC

- Assignee changed from CD FW 曹覃刚 to CD LC 陶洪普

#4 - 2023-06-02 17:55 - 短距组_SSRDCNJ 蒋俊杰

日志未记录17：19：07网络状况，但是wifi并未断开，wifi信号得分在60-70左右，不能判定是否是网络原因

05-31 17:25:11.791 23617 23777 E ConnectivityService: BUG: NetworkAgentInfo{network{101}  handle{437197393933}  ni{WIFI CONNECTED extra: } Score(60 ;

KeepConnected : 1 ; Policies : TRANSPORT_PRIMARY&EVER_VALIDATED&IS_UNMETERED&IS_VALIDATED)  everValidated lastValidated  lp{{InterfaceName:

wlan0 LinkAddresses: [ fe80::a8af:7eff:fec5:44b5/64,10.44.28.57/23 ] DnsAddresses: [ /10.44.11.114 ] Domains: HRYT.com MTU: 0 ServerAddress: /10.44.11.4

TcpBufferSizes: 524288,1048576,2097152,262144,524288,1048576 Routes: [ fe80::/64 -> :: wlan0 mtu 0,10.44.28.0/23 -> 0.0.0.0 wlan0 mtu 0,0.0.0.0/0 -> 10.44.29.254 wlan0

mtu 0 ]}}  nc{[ Transports: WIFI Capabilities:

NOT_METERED&INTERNET&NOT_RESTRICTED&TRUSTED&NOT_VPN&VALIDATED&NOT_ROAMING&FOREGROUND&NOT_CONGESTED&NOT

_SUSPENDED&NOT_VCN_MANAGED LinkUpBandwidth>=37851Kbps LinkDnBandwidth>=51306Kbps Specifier: <WifiNetworkAgentSpecifier

[WifiConfiguration=, SSID="testphone", BSSID=08:79:8c:36:92:70, band=2, mMatchLocalOnlySpecifiers=false]> TransportInfo: <SSID: "testphone", BSSID:

00:00:00:00:00:00, MAC: aa:af:7e:c5:44:b5, Security type: 2, Supplicant state: ASSOCIATED, HE Eight Max VHT Spatial Streams Supported AP: false, Eight Max VHT

Spatial streams support: false, Wi-Fi standard: 6, RSSI: -53, Link speed: 286Mbps, Tx Link speed: 286Mbps, Max Supported Tx Link speed: 286Mbps, Rx Link speed:

286Mbps, Max Supported Rx Link speed: 286Mbps, Frequency: 5300MHz, Net ID: 1, Metered hint: false, score: 60, CarrierMerged: false, SubscriptionId: -1, IsPrimary: 1>

SignalStrength: -53 OwnerUid: 1000 AdminUids: [1000] SSID: "testphone"]}} lost immutable capabilities:specifier changed: WifiNetworkAgentSpecifier

[WifiConfiguration=, SSID="testphone", BSSID=08:79:8c:36:92:70, band=2, mMatchLocalOnlySpecifiers=false] -> WifiNetworkAgentSpecifier [WifiConfiguration=,

SSID="testphone", BSSID=08:79:8c:36:8a:50, band=2, mMatchLocalOnlySpecifiers=false]

05-31 17:30:25.346 23617 23777 E ConnectivityService: BUG: NetworkAgentInfo{network{101}  handle{437197393933}  ni{WIFI CONNECTED extra: } Score(60 ;

KeepConnected : 1 ; Policies : TRANSPORT_PRIMARY&EVER_VALIDATED&IS_UNMETERED&IS_VALIDATED)  everValidated lastValidated  lp{{InterfaceName:

wlan0 LinkAddresses: [ fe80::a8af:7eff:fec5:44b5/64,10.44.28.57/23 ] DnsAddresses: [ /10.44.11.114 ] Domains: HRYT.com MTU: 0 ServerAddress: /10.44.11.4

TcpBufferSizes: 524288,1048576,2097152,262144,524288,1048576 Routes: [ fe80::/64 -> :: wlan0 mtu 0,10.44.28.0/23 -> 0.0.0.0 wlan0 mtu 0,0.0.0.0/0 -> 10.44.29.254 wlan0

mtu 0 ]}}  nc{[ Transports: WIFI Capabilities:

NOT_METERED&INTERNET&NOT_RESTRICTED&TRUSTED&NOT_VPN&VALIDATED&NOT_ROAMING&FOREGROUND&NOT_CONGESTED&NOT

_SUSPENDED&NOT_VCN_MANAGED LinkUpBandwidth>=36834Kbps LinkDnBandwidth>=55425Kbps Specifier: <WifiNetworkAgentSpecifier

[WifiConfiguration=, SSID="testphone", BSSID=08:79:8c:36:8a:50, band=2, mMatchLocalOnlySpecifiers=false]> TransportInfo: <SSID: "testphone", BSSID:

00:00:00:00:00:00, MAC: aa:af:7e:c5:44:b5, Security type: 2, Supplicant state: ASSOCIATED, HE Eight Max VHT Spatial Streams Supported AP: false, Eight Max VHT

Spatial streams support: false, Wi-Fi standard: 6, RSSI: -46, Link speed: 286Mbps, Tx Link speed: 286Mbps, Max Supported Tx Link speed: 286Mbps, Rx Link speed:

286Mbps, Max Supported Rx Link speed: 286Mbps, Frequency: 5745MHz, Net ID: 1, Metered hint: false, score: 60, CarrierMerged: false, SubscriptionId: -1, IsPrimary: 1>

SignalStrength: -46 OwnerUid: 1000 AdminUids: [1000] SSID: "testphone"]}} lost immutable capabilities:specifier changed: WifiNetworkAgentSpecifier

[WifiConfiguration=, SSID="testphone", BSSID=08:79:8c:36:8a:50, band=2, mMatchLocalOnlySpecifiers=false] -> WifiNetworkAgentSpecifier [WifiConfiguration=,

SSID="testphone", BSSID=08:79:8c:36:92:70, band=2, mMatchLocalOnlySpecifiers=false]

05-31 17:35:06.618 23617 23822 D ConnectivityService: registerNetworkAgent NetworkAgentInfo{network{112}  handle{484442034189}  ni{Ethernet CONNECTING

extra: 36:7c:7c:00:00:0f} Score(70 ; KeepConnected : 0 ; Policies : )   lp{{InterfaceName: eth0 LinkAddresses: [ fe80::462e:28e1:6f49:da8d/64,192.168.50.16/24 ]

DnsAddresses: [ /8.8.8.8,/8.8.4.4 ] Domains: null MTU: 0 TcpBufferSizes: 524288,1048576,3145728,524288,1048576,2097152 Routes: [ fe80::/64 -> :: eth0 mtu

0,192.168.50.0/24 -> 0.0.0.0 eth0 mtu 0,0.0.0.0/0 -> 192.168.50.4 eth0 mtu 0 ]}}  nc{[ Transports: ETHERNET Capabilities:

INTERNET&NOT_RESTRICTED&TRUSTED&NOT_VPN&NOT_ROAMING&FOREGROUND&NOT_CONGESTED&NOT_SUSPENDED&NOT_VCN_MAN

AGED LinkUpBandwidth>=100000Kbps LinkDnBandwidth>=100000Kbps]}}

【结论】日志未记录到17：19分网络情况

#5 - 2023-06-02 17:55 - 短距组_SSRDCNJ 蒋俊杰

- Assignee changed from CD LC 陶洪普 to CD FW 曹覃刚
#6 - 2023-06-03 21:21 - CD FW-田成财

■ 我的分析

从视频中看，只是王者荣耀应用黑屏，从log上看此应用有很多异常堆栈：

05-31 17:19:08.248 22632 22761 D IL2CPP  : Dump callstack since exception.

05-31 17:19:08.251 22632 22761 D IL2CPP  : WalkStack, base address = 0x72ce621000.

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a2f9cc

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a62a14

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a420fc

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a42240

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 7a42210

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.CUILoadingSystem:ShowNewIntimacy

05-31 17:19:08.251 22632 22761 D IL2CPP  : #00  pc 79888b4

/data/app/~~VlPifhXTalfJOrUKjghz6g==/com.tencent.tmgp.sgame-LsbCnyFMeVybZRPpxS2dnA==/lib/arm64/libil2cpp.so 

Assets.Scripts.GameSystem.COBSystem:OnGetAceReplayList

同时有很多avc信息：

05-31 17:18:15.575 22632 22632 I auditd  : type=1400 audit(0.0:308703): avc: denied { search } for comm="ace_worker0" name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 W ace_worker0: type=1400 audit(0.0:308703): avc: denied { search } for name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 I auditd  : type=1400 audit(0.0:308704): avc: denied { search } for comm="ace_worker0" name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 W ace_worker0: type=1400 audit(0.0:308704): avc: denied { search } for name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 I auditd  : type=1400 audit(0.0:308705): avc: denied { search } for comm="ace_worker0" name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 W ace_worker0: type=1400 audit(0.0:308705): avc: denied { search } for name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 I auditd  : type=1400 audit(0.0:308706): avc: denied { search } for comm="ace_worker0" name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.575 22632 22632 W ace_worker0: type=1400 audit(0.0:308706): avc: denied { search } for name="net" dev="sysfs" ino=46865

scontext=u:r:untrusted_app_29:s0:c113,c256,c512,c768 tcontext=u:object_r:sysfs_net:s0 tclass=dir permissive=0 app=com.tencent.tmgp.sgame

05-31 17:18:15.637     0     0 W [73605.156196] audit: audit_lost=187458 audit_rate_limit=5 audit_backlog_limit=64

怀疑是应用自身逻辑的问题，或是avc权限导致的问题；

■ 下一步计划

先修复avc后，再进行复现，抓取现场dump信息

#7 - 2023-06-04 13:04 - CDTS-TEST 周婷

- Subject changed from 【IOVDEV-31925】【内部】【VC1】【0072】【台架】【EE环境】【副屏】 to 【IOVDEV-31925】【内部】【VC1】【0072】【台

架】【EE环境】【副屏】王者荣耀应用卡死黑屏
#8 - 2023-06-05 21:19 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

- Need_Info changed from -- to TEST

Hi 周婷

CD FW-田成财 

■ 下一步计划

先修复avc后，再进行复现，抓取现场dump信息

请安排测试同学，使用下列VB复现该问题，谢谢

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230605/202306051758-4196 (此版本是关闭了selinux的User版)

#9 - 2023-06-07 16:21 - CDTS-TEST 周婷

- Assignee changed from CDTS-TEST 周婷 to CD TEST-方永红

安排复现

#10 - 2023-06-08 16:20 - CD TEST-方永红

6.8

使用VB版本测试2H，暂未复现

#11 - 2023-06-09 18:19 - CD TEST-方永红

6.9

2h未复现

#12 - 2023-06-09 18:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205570 general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

laiyx0702@thundersoft.com

BSP:Security:Add sepolicyAdd sepolicy for untrusted_appTC-RID: 1201-0100702IssueID: TS-R-DF-118402Change-Id:

Iba9ddbf1156b1e767861a94eed9da292145f37d6

#13 - 2023-06-12 19:05 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现
#14 - 2023-06-14 15:21 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#15 - 2023-06-15 17:44 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#16 - 2023-06-16 17:16 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#17 - 2023-06-19 18:26 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#18 - 2023-06-20 17:35 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#19 - 2023-06-25 16:57 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#20 - 2023-06-27 17:33 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#21 - 2023-06-28 18:04 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#22 - 2023-06-29 17:21 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306051758 版本复测2小时未复现

#23 - 2023-07-04 16:58 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户在110和116两个版本均验证通过

#24 - 2023-07-04 16:58 - CDTS_TEST 王成
- Status changed from RESOLVED to VERIFIED

#25 - 2023-07-04 16:58 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
